Index: mainwindow.C
===================================================================
--- mainwindow.C	(revision 13c9b4d795a71e72921557a7b5f4f81a559b5706)
+++ mainwindow.C	(revision 1e9db66cad699b0fc492fc86973f40888d67ddff)
@@ -886,5 +886,5 @@
 
 
-    QString stringNumber = QString::number(d);
+    QString stringNumber = QString::number(d, 'f', precission);
     for(int point = 0, i = (stringNumber.lastIndexOf('.') == -1 ? stringNumber.length() : stringNumber.lastIndexOf('.')); i > 0; --i, ++point)
     {
@@ -912,5 +912,5 @@
 void MainWindow::abrirManual()
 {
-    QDesktopServices::openUrl(QUrl("/usr/share/xamu/Usuario/manual_xamu.pdf",QUrl::TolerantMode));
+    QDesktopServices::openUrl(QUrl("/usr/share/xamu/Usuario/Entrada.html",QUrl::TolerantMode));
 }
 
@@ -1332,5 +1332,5 @@
         }
         QTableWidgetItem *Valor1 = new QTableWidgetItem;
-        Valor1->setText(QString::number(SumaFila));
+        Valor1->setText(QString::number(SumaFila,'f',precission));
         QString value1 = Separador(Valor1,false);
         Valor1->setText(value1);
@@ -1339,5 +1339,5 @@
         CellStyle(Valor1);//Estilo de la Celda
         QTableWidgetItem *Valor2 = new QTableWidgetItem;
-        Valor2->setText(QString::number(SumaColumna));
+        Valor2->setText(QString::number(SumaColumna,'f',precission));
         QString value2 = Separador(Valor2,false);
         Valor2->setText(value2);
@@ -1545,5 +1545,5 @@
                     int contador = tablaOriginal->rowCount()-1;
                     value = Separador(tablaOriginal->item(contador,i),true);
-                    value = QString::number(value.toDouble());
+                    value = QString::number(value.toDouble(),'f',precission);
                     total=value.toDouble();
                 }
@@ -1562,5 +1562,5 @@
 
                 }
-                QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(valor));
+                QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(valor,'f',precission));
                 ValoraInsertar->setFlags(ValoraInsertar->flags() ^ Qt::ItemIsEditable);
                 QString value = Separador(ValoraInsertar,false);
@@ -1787,5 +1787,5 @@
                 QString value = Separador(tw->item(i,j),true);
                 double valor= value.toDouble();
-                QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(valor));
+                QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(valor,'f',precission));
                 value = Separador(ValoraInsertar,false);
                 ValoraInsertar->setText(value);
@@ -1917,5 +1917,5 @@
                     valor/=total;//Se divide el valor de la celda entre el total correspondiente
                 }
-                QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(valor));
+                QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(valor,'f',precission));
                 ValoraInsertar->setFlags(ValoraInsertar->flags() ^ Qt::ItemIsEditable);
                 ValoraInsertar->setTextAlignment(Qt::AlignCenter);
@@ -2162,5 +2162,5 @@
                     QString value;
                     double valor=PrincipalTable(i-2,j-2);
-                    QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(valor));
+                    QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(valor,'f',precission));
                     value = Separador(ValoraInsertar,false);
                     ValoraInsertar->setText(value);
@@ -2499,5 +2499,5 @@
             {
                 double value = MatrixMa(i,j);
-                QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(value));
+                QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(value,'f',precission));
                 QString valor = Separador(ValoraInsertar,false);
                 ValoraInsertar->setText(valor);
@@ -3205,5 +3205,5 @@
                             }
                             //Elementos del encadenamiento hacia atras
-                            QTableWidgetItem *valorAtras = new QTableWidgetItem(QString::number(sumaColumna));
+                            QTableWidgetItem *valorAtras = new QTableWidgetItem(QString::number(sumaColumna,'f',precission));
                             QString value = Separador(valorAtras,false);
                             valorAtras->setText(value);
@@ -3212,5 +3212,5 @@
                             enTable->setItem(columna,2,valorAtras);
                             //Elementos del encadenamiento hacia adelante
-                            QTableWidgetItem *valorAdelante = new QTableWidgetItem(QString::number(sumaFila));
+                            QTableWidgetItem *valorAdelante = new QTableWidgetItem(QString::number(sumaFila,'f',precission));
                             value = Separador(valorAdelante,false);
                             valorAdelante->setText(value);
@@ -3325,5 +3325,5 @@
     estimarClasificador(elementFila,elementColumna,element,nombre);
     //Elementos de la clasificación columna
-    QTableWidgetItem *clasificacionColumna = new QTableWidgetItem(QString::number(elementColumna));
+    QTableWidgetItem *clasificacionColumna = new QTableWidgetItem(QString::number(elementColumna,'f',precission));
     value = Separador(clasificacionColumna,false);
     clasificacionColumna->setText(value);
@@ -3332,5 +3332,5 @@
     tw->setItem(index_table,4,clasificacionColumna);
     //Elementos de la clasificación fila
-    QTableWidgetItem *clasificacionFila = new QTableWidgetItem(QString::number(elementFila));
+    QTableWidgetItem *clasificacionFila = new QTableWidgetItem(QString::number(elementFila,'f',precission));
     value = Separador(clasificacionFila,false);
     clasificacionFila->setText(value);
@@ -3441,5 +3441,5 @@
         }
         //Elementos del encadenamiento hacia atras
-        QTableWidgetItem *valorAtras = new QTableWidgetItem(QString::number(sumaColumna));
+        QTableWidgetItem *valorAtras = new QTableWidgetItem(QString::number(sumaColumna,'f',precission));
         QString value = Separador(valorAtras,false);
         valorAtras->setText(value);
@@ -3448,5 +3448,5 @@
         enTable->setItem(columna,2,valorAtras);
         //Elementos del encadenamiento hacia adelante
-        QTableWidgetItem *valorAdelante = new QTableWidgetItem(QString::number(sumaFila));
+        QTableWidgetItem *valorAdelante = new QTableWidgetItem(QString::number(sumaFila,'f',precission));
         value = Separador(valorAdelante,false);
         valorAdelante->setText(value);
@@ -3538,9 +3538,9 @@
         encadenamientosStyle(titulo);
         tw->setItem(count,1,titulo);
-        QTableWidgetItem *totalAtras = new QTableWidgetItem(QString::number(sumaAtras));
+        QTableWidgetItem *totalAtras = new QTableWidgetItem(QString::number(sumaAtras,'f',precission));
         QString value = Separador(totalAtras,false);
         totalAtras->setText(value);
         encadenamientosStyle(totalAtras);
-        QTableWidgetItem *totalAdelante = new QTableWidgetItem(QString::number(sumaAdelante));
+        QTableWidgetItem *totalAdelante = new QTableWidgetItem(QString::number(sumaAdelante,'f',precission));
         value = Separador(totalAdelante,false);
         totalAdelante->setText(value);
@@ -3934,7 +3934,7 @@
     {
         //Se colocan no editables la tercera, cuarta y quinta columna, y se llena de 0 el porcentaje
-        QTableWidgetItem *porcentaje = new QTableWidgetItem(QString::number(0));
+        QTableWidgetItem *porcentaje = new QTableWidgetItem(QString::number(0,'f',precission));
         porcentaje->setTextAlignment(Qt::AlignCenter);
-        QTableWidgetItem *mExg = new QTableWidgetItem(QString::number(subtotalExog[i]));
+        QTableWidgetItem *mExg = new QTableWidgetItem(QString::number(subtotalExog[i],'f',precission));
         QString number = Separador (mExg,false);
         mExg->setText(number);
@@ -3994,5 +3994,5 @@
             value = (value*subtotalExog[i-1])/100;
             QString item;
-            QTableWidgetItem *inyeccion = new QTableWidgetItem(QString::number(value));
+            QTableWidgetItem *inyeccion = new QTableWidgetItem(QString::number(value,'f',precission));
             item = Separador(inyeccion,false);
             inyeccion->setText(item);
@@ -4006,5 +4006,5 @@
             double value = item.toDouble();
             value += subtotalExog[i-1];
-            QTableWidgetItem *subtotal = new QTableWidgetItem(QString::number(value));
+            QTableWidgetItem *subtotal = new QTableWidgetItem(QString::number(value,'f',precission));
             item = Separador(subtotal,false);
             subtotal->setText(item);
@@ -4101,5 +4101,5 @@
         //Se agregan los valores del Ma*SubTotal
         double valor = resultado[i];
-        QTableWidgetItem *res = new QTableWidgetItem(QString::number(valor));
+        QTableWidgetItem *res = new QTableWidgetItem(QString::number(valor,'f',precission));
         QString item = Separador(res,false);
         res->setText(item);
@@ -4117,5 +4117,5 @@
             var = ((valor/(subtotalEnd[i]+subtotalExog[i]))-1)*100;
         }
-        QTableWidgetItem *vari = new QTableWidgetItem(QString::number(var));
+        QTableWidgetItem *vari = new QTableWidgetItem(QString::number(var,'f',precission));
         QString variItem = Separador(vari,false);
         vari->setText(QString(variItem+"%"));
@@ -4496,5 +4496,5 @@
             total+=valor;
         }
-        QTableWidgetItem *item = new QTableWidgetItem(QString::number(total));
+        QTableWidgetItem *item = new QTableWidgetItem(QString::number(total,'f',precission));
         QString value = Separador(item,false);
         item->setText(value);
@@ -4538,5 +4538,5 @@
                 }
                 MBn(j-2,i-2) = valoraInsertar;
-                QTableWidgetItem *item = new QTableWidgetItem(QString::number(valoraInsertar));
+                QTableWidgetItem *item = new QTableWidgetItem(QString::number(valoraInsertar,'f',precission));
                 QString value = Separador(item,false);
                 item->setText(value);
@@ -4654,5 +4654,5 @@
             if(i>=2 and j>=2)
             {
-                QString valor = QString::number(MatrixMb(j-2,i-2));
+                QString valor = QString::number(MatrixMb(j-2,i-2),'f',precission);
                 QTableWidgetItem *item = new QTableWidgetItem(valor);
                 QString value = Separador(item,false);
@@ -4795,5 +4795,5 @@
         //Se agregan los valores del Ma*SubTotal
         double valor = resultado[i];
-        QTableWidgetItem *res = new QTableWidgetItem(QString::number(valor));
+        QTableWidgetItem *res = new QTableWidgetItem(QString::number(valor,'f',precission));
         QString item = Separador(res,false);
         res->setText(item);
@@ -4811,5 +4811,5 @@
             var = ((valor/subtotalExogEnd[i])-1)*100;
         }
-        QTableWidgetItem *vari = new QTableWidgetItem(QString::number(var));
+        QTableWidgetItem *vari = new QTableWidgetItem(QString::number(var,'f',precission));
         QString variItem = Separador(vari,false);
         vari->setText(QString(variItem+"%"));
@@ -4977,5 +4977,5 @@
         {
             double value = MatrizMat(i,j);
-            QString valor = QString::number(value);
+            QString valor = QString::number(value,'f',precission);
             QTableWidgetItem *item = new QTableWidgetItem(valor);
             valor = Separador(item,false);
@@ -5015,5 +5015,5 @@
         {
             double value = Res(i,j);
-            QString valor = QString::number(value);
+            QString valor = QString::number(value,'f',precission);
             QTableWidgetItem *item = new QTableWidgetItem(valor);
             valor = Separador(item,false);
@@ -5051,5 +5051,5 @@
         CellStyle(titulo);
         tw->setItem(0,i,titulo);
-        QTableWidgetItem *number = new QTableWidgetItem(QString::number(0));
+        QTableWidgetItem *number = new QTableWidgetItem(QString::number(0,'f',precission));
         number->setTextAlignment(Qt::AlignCenter);
         QString item = Separador(number,false);
@@ -5111,5 +5111,5 @@
                 valor = valor*(inci[cuenta]/100);
             }
-            QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(valor));
+            QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(valor,'f',precission));
             ValoraInsertar->setFlags(ValoraInsertar->flags() ^ Qt::ItemIsEditable);
             ValoraInsertar->setTextAlignment(Qt::AlignCenter);
@@ -5144,5 +5144,5 @@
         CellStyleComponente(titulo);
         tw->setItem(0,i,titulo);
-        QTableWidgetItem *number = new QTableWidgetItem(QString::number(0));
+        QTableWidgetItem *number = new QTableWidgetItem(QString::number(0,'f',precission));
         number->setTextAlignment(Qt::AlignCenter);
         QString item = Separador(number,false);
@@ -5194,5 +5194,5 @@
             {
                 valor = valor*(inci/100);
-                QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(valor));
+                QTableWidgetItem *ValoraInsertar = new QTableWidgetItem(QString::number(valor,'f',precission));
                 ValoraInsertar->setFlags(ValoraInsertar->flags() ^ Qt::ItemIsEditable);
                 ValoraInsertar->setTextAlignment(Qt::AlignCenter);
@@ -5234,5 +5234,5 @@
             {
                 double value = MatrizMbt(i-2,j-2);
-                QString valor = QString::number(value);
+                QString valor = QString::number(value,'f',precission);
                 QTableWidgetItem *item = new QTableWidgetItem(valor);
                 valor = Separador(item,false);
@@ -5320,5 +5320,5 @@
             {
                 double value = Res(i-2,j-2);
-                QString valor = QString::number(value);
+                QString valor = QString::number(value,'f',precission);
                 QTableWidgetItem *item = new QTableWidgetItem(valor);
                 valor = Separador(item,false);
@@ -5379,5 +5379,5 @@
         CellStyle(titulo);
         tw->setItem(0,i,titulo);
-        QTableWidgetItem *number = new QTableWidgetItem(QString::number(0));
+        QTableWidgetItem *number = new QTableWidgetItem(QString::number(0,'f',precission));
         number->setTextAlignment(Qt::AlignCenter);
         QString item = Separador(number,false);
@@ -5440,5 +5440,5 @@
         CellStyleComponente(titulo);
         tw->setItem(0,i,titulo);
-        QTableWidgetItem *number = new QTableWidgetItem(QString::number(0));
+        QTableWidgetItem *number = new QTableWidgetItem(QString::number(0,'f',precission));
         number->setTextAlignment(Qt::AlignCenter);
         QString item = Separador(number,false);
@@ -5607,5 +5607,5 @@
         {
             double value = res(i,j);
-            QString valor = QString::number(value,precission);
+            QString valor = QString::number(value,'f',precission);
             QTableWidgetItem *item = new QTableWidgetItem(valor);
             valor = Separador(item,false);
@@ -5633,5 +5633,5 @@
         {
             double value = trans(i,j);
-            QString valor = QString::number(value,precission);
+            QString valor = QString::number(value,'f',precission);
             QTableWidgetItem *item = new QTableWidgetItem(valor);
             valor = Separador(item,false);
@@ -5683,5 +5683,5 @@
         {
             double value = Res(i,j);
-            QString valor = QString::number(value);
+            QString valor = QString::number(value,'f',precission);
             QTableWidgetItem *item = new QTableWidgetItem(valor);
             valor = Separador(item,false);
@@ -5769,5 +5769,5 @@
             CellStyle(titulo);
             tw->setItem(0,i,titulo);
-            QTableWidgetItem *number = new QTableWidgetItem(QString::number(0));
+            QTableWidgetItem *number = new QTableWidgetItem(QString::number(0,'f',precission));
             number->setTextAlignment(Qt::AlignCenter);
             QString item = Separador(number,false);
@@ -5887,5 +5887,5 @@
             CellStyleComponente(titulo);
             tw->setItem(0,i,titulo);
-            QTableWidgetItem *number = new QTableWidgetItem(QString::number(0));
+            QTableWidgetItem *number = new QTableWidgetItem(QString::number(0,'f',precission));
             number->setTextAlignment(Qt::AlignCenter);
             QString item = Separador(number,false);
@@ -6216,5 +6216,5 @@
         for(int j=2;j<fila+2;j++)
         {
-            QTableWidgetItem *valoraInsertar = new QTableWidgetItem(QString::number(A0(i-2,j-2)));
+            QTableWidgetItem *valoraInsertar = new QTableWidgetItem(QString::number(A0(i-2,j-2),'f',precission));
             valoraInsertar->setFlags(valoraInsertar->flags() ^ Qt::ItemIsEditable);
             tw->setItem(i,j,valoraInsertar);
@@ -6235,5 +6235,5 @@
         for(int j=2;j<fila+2;j++)
         {
-            QTableWidgetItem *valoraInsertar = new QTableWidgetItem(QString::number(M1(i-2,j-2)));
+            QTableWidgetItem *valoraInsertar = new QTableWidgetItem(QString::number(M1(i-2,j-2),'f',precission));
             valoraInsertar->setFlags(valoraInsertar->flags() ^ Qt::ItemIsEditable);
             Mm1->setItem(i,j,valoraInsertar);
@@ -6278,5 +6278,5 @@
         for(int j=2;j<fila;j++)
         {
-            QTableWidgetItem *valoraInsertar = new QTableWidgetItem(QString::number(M2(i-2,j-2)));
+            QTableWidgetItem *valoraInsertar = new QTableWidgetItem(QString::number(M2(i-2,j-2),'f',precission));
             valoraInsertar->setFlags(valoraInsertar->flags() ^ Qt::ItemIsEditable);
             Mm2->setItem(i,j,valoraInsertar);
@@ -6294,5 +6294,5 @@
         for(int j=2;j<fila;j++)
         {
-            QTableWidgetItem *valoraInsertar = new QTableWidgetItem(QString::number(M3(i-2,j-2)));
+            QTableWidgetItem *valoraInsertar = new QTableWidgetItem(QString::number(M3(i-2,j-2),'f',precission));
             valoraInsertar->setFlags(valoraInsertar->flags() ^ Qt::ItemIsEditable);
             Mm3->setItem(i,j,valoraInsertar);
@@ -6325,5 +6325,5 @@
         for(int j=2;j<fila;j++)
         {
-            QTableWidgetItem *valoraInsertar = new QTableWidgetItem(QString::number(T(i-2,j-2)));
+            QTableWidgetItem *valoraInsertar = new QTableWidgetItem(QString::number(T(i-2,j-2),'f',precission));
             valoraInsertar->setFlags(valoraInsertar->flags() ^ Qt::ItemIsEditable);
             mt->setItem(i,j,valoraInsertar);
@@ -6341,5 +6341,5 @@
         for(int j=2;j<fila;j++)
         {
-            QTableWidgetItem *valoraInsertar = new QTableWidgetItem(QString::number(O(i-2,j-2)));
+            QTableWidgetItem *valoraInsertar = new QTableWidgetItem(QString::number(O(i-2,j-2),'f',precission));
             valoraInsertar->setFlags(valoraInsertar->flags() ^ Qt::ItemIsEditable);
             mo->setItem(i,j,valoraInsertar);
@@ -6357,5 +6357,5 @@
         for(int j=2;j<fila;j++)
         {
-            QTableWidgetItem *valoraInsertar = new QTableWidgetItem(QString::number(C(i-2,j-2)));
+            QTableWidgetItem *valoraInsertar = new QTableWidgetItem(QString::number(C(i-2,j-2),'f',precission));
             valoraInsertar->setFlags(valoraInsertar->flags() ^ Qt::ItemIsEditable);
             mc->setItem(i,j,valoraInsertar);
